#include <syscall.h>
#include <sys/socket.h>
#include <sys/socketcall.h>

static inline
_syscall2(long,socketcall,int,call,unsigned long *,args);

int connect(int __sockfd, struct sockaddr *__serv_addr, int __addrlen)
{
	unsigned long args[3];

	args[0] = __sockfd;
	args[1] = (unsigned long)__serv_addr;
	args[2] = __addrlen;
	return socketcall(SYS_CONNECT, args);
}
